## net.dontdrinkandroot.lastfm.api.cache
Class DiskCacheEntry

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.cache.DiskCacheEntry

All Implemented Interfaces:
  java.io.Serializable

    public class DiskCacheEntry

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DiskCacheEntry(java.io.Serializable data, long expiry)`

Method Summary
`java.io.Serializable` `getData()`
`long` `getExpiry()`
`boolean` `isExpired()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiskCacheEntry

    public DiskCacheEntry(java.io.Serializable data,
                          long expiry)

Method Detail

### getData

    public java.io.Serializable getData()

### getExpiry

    public long getExpiry()

### isExpired

    public boolean isExpired()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.